/**
 * @since 1.0.0
 */
import { RDSClient } from "@aws-sdk/client-rds";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { RDSClientInstanceConfig } from "./RDSClientInstanceConfig";
declare const RDSClientInstance_base: Context.TagClass<RDSClientInstance, "@effect-aws/client-rds/RDSClientInstance", RDSClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class RDSClientInstance extends RDSClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeRDSClientInstance: Effect.Effect<RDSClient, never, import("effect/Scope").Scope | RDSClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const RDSClientInstanceLayer: Layer.Layer<RDSClientInstance, never, RDSClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultRDSClientInstanceLayer: Layer.Layer<RDSClientInstance, never, never>;
export {};
